package envoy.client.event;

import envoy.client.ui.Theme;
import envoy.event.Event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>ThemeChangeEvent.java</strong><br>
 * Created: <strong>15 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy v0.2-alpha
 */
public class ThemeChangeEvent extends Event<Theme> {

	private static final long	serialVersionUID	= 6756772448803774547L;

	/**
	 * Initializes a {@link ThemeChangeEvent} conveying information about the change
	 * of the {@link Theme} currently in use
	 *
	 * @param theme the new currently used {@link Theme} object
	 * @since Envoy v0.2-alpha
	 */
	public ThemeChangeEvent(Theme theme) { super(theme); }
}
