package envoy.client.net;

import java.util.function.Consumer;

import envoy.client.data.LocalDb;
import envoy.event.EventBus;
import envoy.event.UserStatusChangeEvent;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>UserStatusChangeProcessor.java</strong><br>
 * Created: <strong>2 Feb 2020</strong><br>
 *
 * @author Leon Hofmeister
 * @since Envoy v0.3-alpha
 */
public class UserStatusChangeProcessor implements Consumer<UserStatusChangeEvent> {

	private final LocalDb localDb;

	/**
	 * @param localDb the local database in which status updates will by applied
	 * @since Envoy v0.3-alpha
	 */
	public UserStatusChangeProcessor(LocalDb localDb) { this.localDb = localDb; }

	@Override
	public void accept(UserStatusChangeEvent evt) {
		localDb.getUsers().values().stream().filter(u -> u.getId() == evt.getId()).findFirst().get().setStatus(evt.get());
		EventBus.getInstance().dispatch(evt);
	}
}
